#!/bin/sh

#Mounts all sdX devices in mnt folder
disks=`cat /proc/partitions | awk '{print $4}' | grep "^sd[a-z][1-9]"`
for disk in $disks
do
 label=`tune2fs -l /dev/$disk  2>/dev/null | grep "volume name" | awk '{print $4}'`
 if [ -z "$label" ]; then
	czy_swap=`fdisk -l | grep "$disk" | grep 'swap'`
	echo $czy_swap
	if [ -z "$czy_swap" ]; then
		echo "Montuje $disk w /mnt/$disk"
			if [ ! -d "/mnt/$disk" ]; then
				mkdir /mnt/$disk
			fi
			if [ ! `mount /dev/$disk /mnt/$disk -t ext` ]; then
				mount /dev/$disk /mnt/$disk -t vfat
			fi
	else
		echo "Montowanie $disk do swap-a"
		mount /dev/$disk none -t swap
		swapon -a
	fi
 else
	case $label in
		hdd) echo "Montuje $disk LABEL=$label do /hdd"
			 mount /dev/$disk /hdd;;
		movie) echo "Montuje $disk LABEL=$label do /hdd/movie"
     	       mount /dev/$disk /hdd/movie;;
		picture) echo "Montuje $disk LABEL=$label do /hdd/picture"
     	       mount /dev/$disk /hdd/picture;;
		UFS910) echo "$disk LABEL=$label to partycja softusb2 - nie montuje";;
		*) echo "Montuje $disk LABEL=$label do /mnt/$label"
			if [ ! -d "/mnt/$label" ]; then
				mkdir /mnt/$label
			fi
			mount /dev/$disk /mnt/$label
	esac
 fi
done
